package macondo.mak;

/**
 *	Subclasses of this class are thrown when a migration fails.
 *
 *	@see	Agent#go
 *
 *	@author		Andrea Giovannini
 *	@version 	beta
 */
public abstract class TransportException extends java.io.IOException {

	/**
	 *	Builds a new <code>TransportException</code> with no
	 *	detail message.
	 */
	public TransportException() {
		super();
	}
	
	/**
	 *	Builds a new <code>TransportException</code> with the
	 *	specified detail message.
	 *
	 *	@param	msg		the detail message.
	 */
	public TransportException(String msg) {
		super(msg);
	}
}