package macondo.mjada;

/**
 *	Thrown to indicate that an operation has been performed on an object
 *	which is not allowed as an item on a tuple.
 *
 *	@author		Andrea Giovannini
 *	@version	beta
 */

public class ItemNotStreamableException extends SpaceException {

	// Constructors ------------------------------------------------------
	
	/**
	 *	Constructs a <code>ItemNotStreamableException</code> with
	 *	no detail message.
	 */
	public ItemNotStreamableException() {
		super();
	}
	
	/**
	 *	Constructs a <code>ItemNotStreamableException</code> with
	 *	the specified detail message.
	 *
	 *	@param	msg		the detail message.
	 */
	public ItemNotStreamableException(String msg) {
		super(msg);
	}
	
}