package macondo.mjada;

/**
 *	Thrown if an error occurs while performing an operation on
 *	a tuple space.
 */
public class SpaceException extends RuntimeException {

	/**
	 *	Builds a new <code>SpaceException</code> with no detail message.
	 */
	public SpaceException() {
		super();
	}
	
	/**
	 *	Builds a new <code>SpaceException</code> with the
	 *	specified detail message.
	 *
	 *	@param	msg		the detail message.
	 */
	public SpaceException(String msg) {
		super(msg);
	}
}