import macondo.mak.*;
import macondo.mjada.*;

public class PongAgent extends Agent {
	
	public PongAgent() {
	}
	
	public void init() {
		System.out.println("Hello! I'm a Pong Agent and I'm going to play!");
		try {
			go("localhost", 9000, "play");
			System.out.println("This statement is never executed!");
		} catch (TransportException e) {
			System.out.println("Sorry ... caugth an exception ");
			e.printStackTrace();
		}
	}
	
	public void play() {
		System.out.println("Pong Agent: playing ping-pong for 5 times");
		
		PingPongPlace place = (PingPongPlace)getCurrentPlace();
		Space space =  place.getSpace();
		
		Tuple pong, formal = new Tuple("pong", Integer.class);
		Result res;
		int cnt;
		
		space.out(new Tuple("ping", new Integer(0)));
		for(int i=0; i<5; i++) {
			res = space.in(formal);
			pong = (Tuple)res.getObject();
			System.out.println("Pong: got "+pong);
			cnt = ((Integer)pong.getItem(1)).intValue();
			space.out(new Tuple("ping", new Integer(cnt+1)));
		}
		
		System.out.println("Pong Agent: game is finished :(");
	}
}