import macondo.mak.*;

public class TestAgent {
	public static void main(String[] args) {
		int n = 102400;
		if (args.length == 1) {
			try {
				n *= Integer.parseInt(args[0]);
			} catch (NumberFormatException nfe) {
			}
		}
		Place p = new Place();
		p.setPort(8000);
		p.startPlace();
		
		try {
			System.out.println("n is "+n);
			Agent agent = new MigrationTimer( n );
			p.launchAgent( agent );
		} catch(Exception e) {
			System.out.println("Sorry: agent can't be launched");
		}
	}
}