package macondo.mak;

/**
 *	Thrown when a migration fails for a network error.
 *
 *	@see		Agent#go
 *	@author		Andrea Giovannini
 *	@version	beta
 */

public class TransportFailedException extends TransportException {

	/**
	 *	Builds a new <code>TransportFailedException</code> with
	 *	no detail message.
	 */
	public TransportFailedException() {
		super();
	}
	
	/**
	 *	Builds a new <code>TransportFailedException</code> with
	 *	the specified detail message.
	 */
	public TransportFailedException(String msg) {
		super(msg);
	}

}