package macondo.mjada;

import java.io.*;

/**
 *	The tuple class used in MJada. This class is only a wrapper to
 *	the Jada tuple class.
 *
 *	@author		Andrea Giovannini
 *	@version	beta
 */

public class Tuple extends jada.Tuple implements Serializable {

	// Constructors ------------------------------------------------------

	/**
	 *	Default constructor. Builds an empty tuple.
	 */
	public Tuple() {
		super();
	}

	/**
	 *	Builds a tuple with the specified item.
	 */
	public Tuple(Object item) {
		super(item);
	}
	
	public Tuple(Object item1, Object item2) {
		super(item1,item2);
	}
	
	public Tuple(Object item1, Object item2, Object item3) {
		super(item1,item2, item3);
	}
	
	public Tuple(Object item1, Object item2, Object item3, Object item4) {
		super(item1,item2, item3, item4);
	}
	
	public Tuple(Object item1, Object item2, Object item3, Object item4,
				Object item5) {
		super(item1,item2, item3, item4, item5);
	}
	
	public Tuple(Object item1, Object item2, Object item3, Object item4,
				Object item5, Object item6) {
		super(item1,item2, item3, item4, item5, item6);
	}
	
	public Tuple(Object item1, Object item2, Object item3, Object item4,
				Object item5, Object item6, Object item7) {
		super(item1,item2, item3, item4, item5, item6, item7);
	}
	
	public Tuple(Object item1, Object item2, Object item3, Object item4,
				Object item5, Object item6, Object item7, Object item8) {
		super(item1,item2, item3, item4, item5, item6, item7, item8);
	}
	
	public Tuple(Object item1, Object item2, Object item3, Object item4,
				Object item5, Object item6, Object item7, Object item8,
				Object item9) {
		super(item1,item2, item3, item4, item5, item6, item7, item8, item9);
	}

	public Tuple(Object item1, Object item2, Object item3, Object item4,
				Object item5, Object item6, Object item7, Object item8,
				Object item9, Object item10) {
		super(item1,item2, item3, item4, item5, item6, item7, item8, item9, item10);
	}

	/**
	 *	Builds a tuple copying the given one.
	 */
	public Tuple(Tuple tuple) {
		super(tuple);
	}

}